## nibabel 2.3.2

=== debian/changelog ===
nibabel (2.3.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Jan 2019 23:35:50 -0500

nibabel (2.3.1+git51-g1ea7c30f-1) unstable; urgency=medium

  * Fresh upstream snapshot from rel/2.3.2 branch
    https://github.com/nipy/nibabel/pull/708
    - should resolve incompatibilities with recent release of numpy
      causing " cannot set WRITEABLE flag to True ..." (Closes: #917680)
  * debian/control
    + added (build-)depends on python-bz2file (python2 only)
    + build-depend on dh-python
    - remove obsolete X-*-Python fields
    + b-depend on python{3,}-setuptools since used now, and not pulled
      through depends on older Debian/Ubuntus

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 01 Jan 2019 19:53:57 -0500
