=== debian/control ===
Source: nibabel
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), dh-python,
               python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse, python-bz2file, python-setuptools,
               python3-all,          python3-numpy (>= 1.2), python3-scipy, python3-nose, python3-six, python3-setuptools,
               help2man, python-sphinx, python-matplotlib, libjs-mathjax,
               python-mock, python3-mock,
               python-numpydoc
Standards-Version: 3.9.8
Homepage: http://nipy.sourceforge.net/nibabel
Vcs-Browser: https://salsa.debian.org/neurodebian-team/pynifti
Vcs-Git: https://salsa.debian.org/neurodebian-team/pynifti.git -b dist/debian/proper
XS-Testsuite: autopkgtest

Package: python-nibabel
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six, python-bz2file,
Recommends: python-dicom, python-fuse
Suggests: python-nibabel-doc, python-mock,
Description: Python bindings to various neuroimaging data formats
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package also provides a commandline tools:
 .
  - dicomfs - FUSE filesystem on top of a directory with DICOMs
  - nib-ls - 'ls' for neuroimaging files
  - parrec2nii - for conversion of PAR/REC to NIfTI images

Package: python3-nibabel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
Recommends: python3-dicom, python3-fuse,
Suggests: python-nibabel-doc, python3-mock,
Description: Python3 bindings to various neuroimaging data formats
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.


Package: python-nibabel-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
Description: documentation for NiBabel
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package provides the documentation in HTML format.
