=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nibabel
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~), dh-python,
                python-all (>= 2.5),  python-numpy (>= 1.2),  python-scipy,  python-nose,  python-six, python-fuse, python-bz2file, python-setuptools,
@@ -17,7 +18,7 @@
 
 Package: python-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six, python-bz2file,
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-six, python-bz2file,
 Recommends: python-dicom, python-fuse
 Suggests: python-nibabel-doc, python-mock,
 Description: Python bindings to various neuroimaging data formats
@@ -35,7 +36,7 @@
 
 Package: python3-nibabel
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-six
 Recommends: python3-dicom, python3-fuse,
 Suggests: python-nibabel-doc, python3-mock,
 Description: Python3 bindings to various neuroimaging data formats
@@ -49,7 +50,7 @@
 Package: python-nibabel-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, libjs-jquery, libjs-mathjax
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery, libjs-mathjax
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
