## nibabel 2.5.0

=== debian/changelog ===
nibabel (2.5.0-1) unstable; urgency=medium

  * Fresh 2.5.0 release
    - many fixes (including .trk files failing tests on s390)
    - some API deprecations

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Aug 2019 09:52:19 -0400
