## nibabel 2.5.1

=== requirements.txt ===
# Minumum requirements
#
# Check these against
#   nibabel/info.py
#   .travis.yml
#   doc/source/installation.rst

six>=1.3
numpy>=1.8
