=== debian/changelog ===
nibabel (2.5.1-3) unstable; urgency=medium

  * Team upload.
  * Take over package in Debian Med team maintenance
  * cme fix dpkg-control
     - Priotity optional instead of extra
     - Drop some unneeded versioned dependencies
     - Formatting
  * Breaks+Replaces: python-nibabel
    Closes: #948372
  * Use default Debian Med repository layout for Git repository

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:00:59 +0100

nibabel (2.5.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937140

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jan 2020 16:52:40 -0500

nibabel (2.5.1-1) unstable; urgency=medium

  * Fresh 2.5.1 release (2.5.x series is the last one to support python2)
  * debian/control
    - boosted policy to 4.4.1
    - Stripped XS- for Testsuite
  * debian/copyright
    - removed obsolete paragraph for no longer included 
      doc/sphinxext/autosummary
  * rm debian/patches/lenny-dsc-patch_numpy_testing - no backports for lenny
    were built for years

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Nov 2019 18:09:36 -0500
