=== debian/control ===
Source: nibabel
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <michael.hanke@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9~),
               dh-python,
               python3-fuse,
               python3-bz2file,
               python3-all,
               python3-numpy,
               python3-scipy,
               python3-nose,
               python3-six,
               python3-setuptools,
               help2man,
               python3-sphinx,
               python3-matplotlib,
               libjs-mathjax,
               python3-mock,
               python3-numpydoc
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/nibabel
Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
Homepage: http://nipy.sourceforge.net/nibabel

Package: python3-nibabel
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-six
Recommends: python3-dicom,
            python3-fuse
Suggests: python-nibabel-doc,
          python3-mock
Breaks: python-nibabel
Replaces: python-nibabel
Description: Python3 bindings to various neuroimaging data formats
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.

Package: python-nibabel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-mathjax
Description: documentation for NiBabel
 NiBabel provides read and write access to some common medical and
 neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
 NIfTI1, MINC, as well as PAR/REC. The various image format classes give full
 or selective access to header (meta) information and access to the image data
 is made available via NumPy arrays.  NiBabel is the successor of PyNIfTI.
 .
 This package provides the documentation in HTML format.
