## nibabel 3.1.1

=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.13
packaging >=14.3
