=== debian/changelog ===
nibabel (3.1.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Update Homepage
  * Rules-Requires-Root: no (routine-update)
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.
  * Switch build time test from nose to pytest
    Closes: #964610

  [ Nilesh Patra ]
  * Add manpages
  * Switch autopkgtest to pytest
  * Fix perms of non-executables

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 27 Jul 2020 20:33:51 +0530

nibabel (3.0.1-1) unstable; urgency=medium

  * Team upload.
  * Use python3-pydicom instead of transitional package python2-dicom
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Spinx doc checks for exact version matching - remove remaining 'dev'
    in nano-version
  * Build-Depends: python3-pytest <!nocheck>

 -- Andreas Tille <tille@debian.org>  Tue, 03 Mar 2020 14:14:38 +0100
