=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-fuse,
                python3-bz2file,
@@ -18,13 +17,16 @@
                help2man,
                python3-sphinx,
                python3-matplotlib,
+               python3-texext,
                libjs-mathjax,
                python3-mock,
-               python3-numpydoc
-Standards-Version: 4.4.1
+               python3-numpydoc,
+               python3-pytest <!nocheck>
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
-Homepage: http://nipy.sourceforge.net/nibabel
+Homepage: https://nipy.org/nibabel/
+Rules-Requires-Root: no
 
 Package: python3-nibabel
 Architecture: all
@@ -33,7 +35,7 @@
          python3-numpy,
          python3-scipy,
          python3-six
-Recommends: python3-dicom,
+Recommends: python3-pydicom,
             python3-fuse
 Suggests: python-nibabel-doc,
           python3-mock
