=== debian/changelog ===
nibabel (3.2.1-2) unstable; urgency=medium

  * d/patches
    - 983.patch to include https://github.com/nipy/nibabel/pull/983
      addressing failing test due to mocking  on older systems

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 21 Dec 2020 09:10:02 -0500

nibabel (3.2.1-1) unstable; urgency=medium

  * Fresh upstream release
    - refreshed patches, no changes
  * d/control
    - bring compat level back to 12 - no features of 13 are used AFAIK,
      and it only complicates backporting

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 19 Dec 2020 08:48:49 -0500
