=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-fuse,
                python3-bz2file,
