=== debian/changelog ===
nibabel (3.2.2-1) unstable; urgency=medium

  * Team upload.
  * Fix Python3.10 issue

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 10:41:07 +0100

nibabel (3.2.1-3) unstable; urgency=medium

  * Team upload.
  * Drop Build-Depends: python3-bz2file (addresses #987287, #1001201)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Apply multi-arch hints.
    + python-nibabel-doc: Add Multi-Arch: foreign.
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 14 Dec 2021 07:18:18 +0100
