=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-fuse,
-               python3-bz2file,
                python3-all,
                python3-numpy,
                python3-scipy,
@@ -22,7 +21,7 @@
                python3-mock,
                python3-numpydoc,
                python3-pytest <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
 Homepage: https://nipy.org/nibabel/
@@ -54,6 +53,7 @@
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
+Multi-Arch: foreign
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
