=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	# and docs
 	PYTHONPATH=$(CURDIR) $(MAKE) -C doc html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build PYTHON=python3
 	# but remove jquery copy (later on link to Debian's version)
 	-rm build/html/_static/jquery.js
@@ -23,7 +22,9 @@
 
 # enable when we believe that the tests should pass
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m nose --verbose" dh_auto_test
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} LC_ALL=C.UTF-8 {interpreter} -m pytest --verbose" dh_auto_test
+endif
 
 ## immediately useable documentation
 ## and exemplar data (they are small excerpts anyway)
@@ -42,6 +43,11 @@
 
 	dh_installman build/*.1
 
+override_dh_fixperms:
+	find debian/ -name 'gzipbase64.gii' | xargs chmod -x
+	find debian/ -name 'umass_anonymized.PAR' | xargs chmod -x
+	dh_fixperms
+
 override_dh_clean:
 	$(MAKE) clean
 	dh_clean
