## nibabel 5.0.0

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 all: build
 
-build: 
+build:
 	$(PYTHON) setup.py config --noisy
 	$(PYTHON) setup.py build
 
@@ -78,6 +78,10 @@
 $(WWW_DIR):
 	if [ ! -d $(WWW_DIR) ]; then mkdir -p $(WWW_DIR); fi
 
+.git-blame-ignore-revs:
+	git log --grep "\[git-blame-ignore-rev\]" --pretty=format:"# %ad - %ae - %s%n%H" \
+		> .git-blame-ignore-revs
+	echo >> .git-blame-ignore-revs
 
 #
 # Tests
@@ -288,4 +292,4 @@
 	# Remove .orig temporary diff files generated by git
 	find . -name "*.orig" -print | grep -v "fsaverage" | xargs rm
 
-.PHONY: orig-src pylint all build
+.PHONY: orig-src pylint all build .git-blame-ignore-revs
