=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.19
packaging >=17
setuptools
