=== debian/changelog ===
nibabel (5.0.0-2) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * skip-armel-test-nan2zero.patch: relax to arm* filtering. (Closes: #1029593)

 -- Étienne Mollier <emollier@debian.org>  Mon, 30 Jan 2023 16:15:52 +0100

nibabel (5.0.0-1) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: pybuild-plugin-pyproject,
    python3-pytest-httpserver
  * Set PATH for build time tests
  * Test-Depends: python3-pytest-httpserver
  * Restrict autopkgtest to default Python3 version

  [ Nilesh Patra ]
  * Build-Depends: python3-hatch-vcs

  [ Étienne Mollier ]
  * d/t/control: append "@" (i.e. built packages) to test dependencies.
  * skip-test-removalschedule.patch: add; fix autopkgtest failures.
  * skip-armel-test-nan2zero.patch: add; fix ftbfs on armel. (Closes: #1029593)

 -- Étienne Mollier <emollier@debian.org>  Thu, 26 Jan 2023 18:57:50 +0100

nibabel (4.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Lance Lin ]
  * New version (4.0.1)
  * d/control: Bump standards version to 4.6.1
  * d/series: Remove fix for sphinx patch

  [ Étienne Mollier ]
  * New upstream version 4.0.2
  * d/t/run-unit-test: run on all supported python versions.
  * d/{,t/}control: remove dependency to python3-nose. (Closes: #1018422)

 -- Étienne Mollier <emollier@debian.org>  Thu, 08 Dec 2022 21:52:20 +0100

nibabel (3.2.2-2) unstable; urgency=medium

  * Team upload.
  * Add restrictions on allowing stderr (Closes: #1014482)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 12 Jul 2022 19:47:13 +0530
