=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: nibabel
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael Hanke <michael.hanke@gmail.com>,
-           Yaroslav Halchenko <debian@onerussian.com>
+           Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-fuse,
                python3-all,
+               python3-hatch-vcs,
                python3-numpy,
                python3-scipy,
-               python3-nose,
                python3-six,
                python3-setuptools,
                help2man,
@@ -20,8 +22,9 @@
                libjs-mathjax,
                python3-mock,
                python3-numpydoc,
-               python3-pytest <!nocheck>
-Standards-Version: 4.6.0
+               python3-pytest <!nocheck>,
+               python3-pytest-httpserver <!nocheck>
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
 Homepage: https://nipy.org/nibabel/
