=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         python3-all,
         python3-pytest,
         python3-numpy,
         python3-scipy,
         python3-six,
         python3-pytest-httpserver
Restrictions: allow-stderr
