=== debian/changelog ===
nibabel (5.1.0-1) unstable; urgency=medium

  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * d/rules: fix permissions for two scripts without shebang.
    Affected scripts are dicomwrappers.py and test_dicomwrappers.py.
  * d/rules: find and delete stray .gitignore.
    A couple of them landed in the nibabel python3 modules directory.
  * d/s/lintian-overrides: hide test-leaves-python-version-untested.
    The warning chokes on a check that is relevant only for interactive
    use, so no meddling with multiple python versions is expected, or even
    possible.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Jul 2023 19:24:07 +0200
