=== debian/control ===
--- 
+++ 
@@ -41,8 +41,6 @@
             python3-fuse
 Suggests: python-nibabel-doc,
           python3-mock
-Breaks: python-nibabel
-Replaces: python-nibabel
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
@@ -52,11 +50,11 @@
 
 Package: python-nibabel-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
-Multi-Arch: foreign
 Description: documentation for NiBabel
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
