=== debian/changelog ===
nibabel (5.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Wed, 28 Feb 2024 13:46:37 +0100

nibabel (5.2.0-3) unstable; urgency=medium

  * Team upload.
  * Drop nisext which is appreciated by upstream to gain Python3.12
    Closes: #1063588
  * Add NEWS.Debian to inform users about dropped nisext
  * Autopkgtest for all supported Python3 versions
  * rename debian/NEWS.Debian debian/NEWS (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 11:09:04 +0100

nibabel (5.2.0-2) unstable; urgency=medium

  * Team upload.
  * remove obsolete dependencies:
    * python3-mock
    * python3-six

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Jan 2024 12:29:13 +0100

nibabel (5.2.0-1) unstable; urgency=medium

  * New upstream version.  (Closes: #1058386)
  * d/control: build depends on python3-hatchling.
  * d/clean: new: cleanup build artifacts. (Closes: #1048960)

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 14:05:04 +0100
