=== debian/control ===
--- 
+++ 
@@ -11,16 +11,15 @@
                python3-fuse,
                python3-all,
                python3-hatch-vcs,
+               python3-hatchling,
                python3-numpy,
                python3-scipy,
-               python3-six,
                python3-setuptools,
                help2man,
                python3-sphinx,
                python3-matplotlib,
                python3-texext,
                libjs-mathjax,
-               python3-mock,
                python3-numpydoc,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>
@@ -36,11 +35,9 @@
          ${python3:Depends},
          python3-numpy,
          python3-scipy,
-         python3-six
 Recommends: python3-pydicom,
             python3-fuse
 Suggests: python-nibabel-doc,
-          python3-mock
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
  neuroimaging file formats, including: ANALYZE (plain, SPM99, SPM2), GIFTI,
