=== requirements.txt ===
# Auto-generated by tools/update_requirements.py
numpy >=1.20
packaging >=17
importlib_resources >=1.3; python_version < '3.9'
