=== debian/changelog ===
nibabel (5.3.2-3) unstable; urgency=medium

  * scipy-1.16.patch: new: fix tests with scipy 1.16. (Closes: #1109953)
  * d/patches/*: normalize Last-Update timestamp.
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 24 Oct 2025 21:23:58 +0200

nibabel (5.3.2-2) unstable; urgency=medium

  * Team upload.
  * Skip test test_legacy_underscore_content on s390x
    (endianness is hardcoded in test)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 14:54:39 +0100

nibabel (5.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.2 (Closes: #1088757)
  * Refresh patches
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Dec 2024 00:29:49 +0100

nibabel (5.2.1-2) unstable; urgency=medium

  * drop_deprecated_nisext_for_python3.12_compatibility.patch: unfuzz.
  * pytest-8.patch: new: rename setup and teardown functions.
    Closes: #1071461
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 25 May 2024 18:18:56 +0200
