=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-fuse,
                python3-all,
@@ -23,11 +23,10 @@
                python3-numpydoc,
                python3-pytest <!nocheck>,
                python3-pytest-httpserver <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/nibabel
 Vcs-Git: https://salsa.debian.org/med-team/nibabel.git
 Homepage: https://nipy.org/nibabel/
-Rules-Requires-Root: no
 
 Package: python3-nibabel
 Architecture: all
