=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export MPLCONFIGDIR=$(CURDIR)/build
 
 %:
-	dh $@ --buildsystem=pybuild --builddirectory=build --with=python3
+	dh $@ --buildsystem=pybuild --builddirectory=build
 
 execute_after_dh_auto_build:
 	PYTHONPATH=$(CURDIR) \
