=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,5 @@
          python3-pytest,
          python3-numpy,
          python3-scipy,
-         python3-six,
          python3-pytest-httpserver
 Restrictions: allow-stderr
