## nibabel 5.3.3

=== debian/changelog ===
nibabel (5.3.3-1) unstable; urgency=medium

  * New upstream version 5.3.3
  * pr1383.patch: delete: applied upstream.
  * d/control: python3-fuse → fuse3. (Closes: #1122522)
  * d/s/lintian-overrides: delete: unused.

 -- Étienne Mollier <emollier@debian.org>  Thu, 11 Dec 2025 20:50:53 +0100

nibabel (5.3.2-4) unstable; urgency=medium

  * python3.14.patch: fix failures with python3.14. (Closes: #1121007)

 -- Étienne Mollier <emollier@debian.org>  Thu, 04 Dec 2025 21:15:31 +0100
