=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                pybuild-plugin-pyproject,
-               python3-fuse,
+               fuse3,
                python3-all,
                python3-hatch-vcs,
                python3-hatchling,
@@ -35,7 +35,7 @@
          python3-numpy,
          python3-scipy,
 Recommends: python3-pydicom,
-            python3-fuse
+            fuse3
 Suggests: python-nibabel-doc,
 Description: Python3 bindings to various neuroimaging data formats
  NiBabel provides read and write access to some common medical and
